Index: plugins/pings/_admin.php
===================================================================
--- plugins/pings/_admin.php	(revision 324)
+++ plugins/pings/_admin.php	(revision 270)
@@ -41,5 +41,5 @@
 function pingDashboardFavs($core,$favs)
 {
-	$favs['pings'] = new ArrayObject(array('pings','Pings','plugin.php?p=pings',
+	$favs['pings'] = new ArrayObject(array('pings',__('Pings'),'plugin.php?p=pings',
 		'index.php?pf=pings/icon.png','index.php?pf=pings/icon-big.png',
 		null,null,null));
Index: plugins/pings/_define.php
===================================================================
--- plugins/pings/_define.php	(revision 464)
+++ plugins/pings/_define.php	(revision 270)
@@ -17,7 +17,5 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'1.1',
-	array(
-		'permissions' =>	'usage,contentadmin'
-	)
+	/* Permissions */		'usage,contentadmin'
 );
 ?>
Index: plugins/pings/index.php
===================================================================
--- plugins/pings/index.php	(revision 500)
+++ plugins/pings/index.php	(revision 270)
@@ -51,5 +51,5 @@
 <body>
 <?php
-echo '<h2 class="page-title">'.__('Pings configuration').'</h2>';
+echo '<h2>'.__('Pings configuration').'</h2>';
 
 if (!empty($_GET['up'])) {
Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 720)
+++ plugins/tags/_admin.php	(revision 270)
@@ -31,5 +31,5 @@
 
 $core->addBehavior('adminPreferencesForm',array('tagsBehaviors','adminUserForm'));
-// $core->addBehavior('adminUserForm',array('tagsBehaviors','adminUserForm'));
+$core->addBehavior('adminUserForm',array('tagsBehaviors','adminUserForm'));
 
 $core->addBehavior('adminBeforeUserCreate',array('tagsBehaviors','setTagListFormat'));
@@ -45,5 +45,5 @@
 	public static function dashboardFavs($core,$favs)
 	{
-		$favs['tags'] = new ArrayObject(array('tags','Tags','plugin.php?p=tags&amp;m=tags',
+		$favs['tags'] = new ArrayObject(array('tags',__('Tags'),'plugin.php?p=tags&amp;m=tags',
 			'index.php?pf=tags/icon.png','index.php?pf=tags/icon-big.png',
 			'usage,contentadmin',null,null));
@@ -82,5 +82,5 @@
 		echo
 		'<h3><label for="post_tags">'.__('Tags:').'</label></h3>'.
-		'<div class="p" id="tags-edit">'.form::textarea('post_tags',20,3,$value,'maximal').'</div>';
+		'<div class="p" id="tags-edit">'.form::textarea('post_tags',20,3,$value,'maximal',3).'</div>';
 	}
 	
@@ -227,5 +227,5 @@
 		{
 			echo
-			'<h2 class="page-title">'.__('Add tags to entries').'</h2>'.
+			'<h2>'.__('Add tags to entries').'</h2>'.
 			'<form action="posts_actions.php" method="post">'.
 			'<div><label for="new_tags" class="area">'.__('Tags to add:').'</label> '.
@@ -257,5 +257,5 @@
 			}
 			
-			echo '<h2 class="page-title">'.__('Remove selected tags from entries').'</h2>';
+			echo '<h2>'.__('Remove selected tags from entries').'</h2>';
 			
 			if (empty($tags)) {
Index: plugins/tags/_define.php
===================================================================
--- plugins/tags/_define.php	(revision 464)
+++ plugins/tags/_define.php	(revision 270)
@@ -17,7 +17,5 @@
 	/* Author */			"Olivier Meunier",
 	/* Version */			'1.1',
-	array(
-		'permissions' =>	'usage,contentadmin'
-	)
+	/* Permissions */		'usage,contentadmin'
 );
 ?>
Index: plugins/tags/_public.php
===================================================================
--- plugins/tags/_public.php	(revision 413)
+++ plugins/tags/_public.php	(revision 270)
@@ -44,6 +44,4 @@
 
 $core->addBehavior('templateBeforeBlock',array('behaviorsTags','templateBeforeBlock'));
-$core->addBehavior('tplSysIfConditions',array('behaviorsTags','tplSysIfConditions'));
-$core->addBehavior('publicBeforeDocument',array('behaviorsTags','addTplPath'));
 
 class behaviorsTags
@@ -72,22 +70,4 @@
 		}
 	}
-	
-	public static function tplIfConditions($tag, $attr,$content,$if)
-	{
-		if ($tag == 'Sys' && isset($attr['has_tag'])) {
-			$sign = '';
-			if (substr($attr['has_tag'],0,1) == '!') {
-				$sign = '!';
-				$attr['has_tag'] = substr($attr['has_tag'],1);
-			}
-			$if[] =  $sign."(\$core->tpl->tagExists('".addslashes($attr['has_tag'])."') )";
-		}
-	}
-	
-	public static function addTplPath($core)
-	{
-		$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates');
-	}
-
 }
 
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 711)
+++ plugins/tags/tag_posts.php	(revision 270)
@@ -93,5 +93,5 @@
 <html>
 <head>
-  <title><?php echo __('Tags'); ?></title>
+  <title>Tags</title>
   <link rel="stylesheet" type="text/css" href="index.php?pf=tags/style.css" />
   <script type="text/javascript" src="js/_posts_list.js"></script>
@@ -110,5 +110,5 @@
 
 <h2><?php echo html::escapeHTML($core->blog->name); ?> &rsaquo;
-<span class="page-title"><?php echo __('Edit tag').' &ldquo;'.html::escapeHTML($tag).'&rdquo;'; ?></span></h2>
+<?php echo __('Edit tag'); ?></h2>
 
 <?php
@@ -125,24 +125,12 @@
 		echo
 		'<form action="'.$this_url.'" method="post">'.
-		'<div class="fieldset"><h3>'.__('Actions for this tag').'</h3>'.
-		'<p><label for="new_tag_id">'.__('Edit tag name:').'</label>'.
+		'<p><label for="new_tag_id" class="classic">'.__('Rename this tag:').' '.
 		form::field('new_tag_id',20,255,html::escapeHTML($tag)).
-		'<input type="submit" value="'.__('Rename').'" />'.
-		$core->formNonce().
+		'</label> <input type="submit" value="'.__('Save').'" />'.
+		$core->formNonce().'</p>'.
 		'</form>';
-		# Remove tag
-		if (!$posts->isEmpty() && $core->auth->check('contentadmin',$core->blog->id)) {
-			echo
-			'<form id="tag_delete" action="'.$this_url.'" method="post">'.
-			'<p class="no-margin">'.__('Delete this tag:').'</p>'.
-			'<input type="submit" class="delete" name="delete" value="'.__('Delete').'" />'.
-			$core->formNonce().
-			'</form>';
-		}
-		echo '</p></div>';
 	}
 	
 	# Show posts
-	echo '<h3>'.__('List of entries with this tag').'</h3>';
 	$post_list->display($page,$nb_per_page,
 	'<form action="posts_actions.php" method="post" id="form-entries">'.
@@ -162,4 +150,13 @@
 	'</div>'.
 	'</form>');
+	
+	# Remove tag
+	if (!$posts->isEmpty() && $core->auth->check('contentadmin',$core->blog->id)) {
+		echo
+		'<form id="tag_delete" action="'.$this_url.'" method="post">'.
+		'<p><input type="submit" class="delete" name="delete" value="'.__('Delete this tag').'" />'.
+		$core->formNonce().'</p>'.
+		'</form>';
+	}
 }
 ?>
Index: plugins/tags/tags.php
===================================================================
--- plugins/tags/tags.php	(revision 711)
+++ plugins/tags/tags.php	(revision 270)
@@ -15,5 +15,5 @@
 <html>
 <head>
-  <title><?php echo __('Tags'); ?></title>
+  <title>Tags</title>
   <link rel="stylesheet" type="text/css" href="index.php?pf=tags/style.css" />
 </head>
@@ -21,5 +21,5 @@
 <body>
 <h2><?php echo html::escapeHTML($core->blog->name); ?> &rsaquo;
-<span class="page-title"><?php echo __('Tags'); ?></span></h2>
+<?php echo __('Tags'); ?></h2>
 
 <?php
Index: plugins/themeEditor/_define.php
===================================================================
--- plugins/themeEditor/_define.php	(revision 464)
+++ plugins/themeEditor/_define.php	(revision 270)
@@ -16,5 +16,6 @@
 	/* Description*/		"Theme Editor",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'0.9'
+	/* Version */			'0.9',
+	/* Permissions */		null
 );
 ?>
Index: plugins/themeEditor/index.php
===================================================================
--- plugins/themeEditor/index.php	(revision 500)
+++ plugins/themeEditor/index.php	(revision 270)
@@ -69,5 +69,5 @@
 <body>
 <?php echo '<h2>'.html::escapeHTML($core->blog->name).
-' &rsaquo; <a href="blog_theme.php">'.__('Blog appearance').'</a> &rsaquo; <span class="page-title">'.__('Theme Editor').'</span></h2>'; ?>
+' &rsaquo; <a href="blog_theme.php">'.__('Blog appearance').'</a> &rsaquo; '.__('Theme Editor').'</h2>'; ?>
 
 <p><strong><?php echo sprintf(__('Your current theme on this blog is "%s".'),html::escapeHTML($T['name'])); ?></strong></p>
Index: plugins/userPref/_define.php
===================================================================
--- plugins/userPref/_define.php	(revision 589)
+++ plugins/userPref/_define.php	(revision 3)
@@ -16,5 +16,6 @@
 	/* Description*/		"Manage every user preference directive",
 	/* Author */			"Franck Paul",
-	/* Version */			'0.2'
+	/* Version */			'0.1',
+	/* Permissions */		null
 );
 ?>
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 589)
+++ plugins/userPref/index.php	(revision 270)
@@ -11,14 +11,4 @@
 # -- END LICENSE BLOCK -----------------------------------------
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
-
-# Local navigation
-if (!empty($_POST['gp_nav'])) {
-	http::redirect($p_url.$_POST['gp_nav']);
-	exit;
-}
-if (!empty($_POST['lp_nav'])) {
-	http::redirect($p_url.$_POST['lp_nav']);
-	exit;
-}
 
 # Local prefs update
@@ -82,5 +72,5 @@
 	return
 	'<tr>'.
-	'<td scope="raw"><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
+	'<td><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
 	'<td>'.$field.'</td>'.
 	'<td>'.$s['type'].'</td>'.
@@ -94,22 +84,6 @@
   <?php echo dcPage::jsPageTabs($part); ?>
   <style type="text/css">
-	table.prefs { border: 1px solid #999; margin-bottom: 2em; }
-	table.prefs th { background: #f5f5f5; color: #444; padding-top: 0.3em; padding-bottom: 0.3em; }
-	p.anchor-nav {float: right; }
+  .ns-name { background: #ccc; color: #000; padding-top: 0.3em; padding-bottom: 0.3em; font-size: 1.1em; }
   </style>
-	<script type="text/javascript">
-	//<![CDATA[
-	$(function() {
-		$("#gp_submit").hide();
-		$("#lp_submit").hide();
-		$("#gp_nav").change(function() {
-			window.location = $("#gp_nav option:selected").val();
-		})
-		$("#lp_nav").change(function() {
-			window.location = $("#lp_nav option:selected").val();
-		})
-	});
-	//]]>
-	</script>
 </head>
 
@@ -124,22 +98,18 @@
 }
 ?>
-<h2><?php echo html::escapeHTML($core->auth->userID()); ?> &rsaquo; <span class="page-title">user:preferences</span></h2>
+<h2><?php echo html::escapeHTML($core->auth->userID()); ?> &rsaquo; user:preferences</h2>
 
 <div id="local" class="multi-part" title="<?php echo __('user preferences'); ?>">
+<form action="plugin.php" method="post">
+<table>
+<tr>
+  <th class="nowrap">Pref ID</th>
+  <th><?php echo __('Value'); ?></th>
+  <th><?php echo __('Type'); ?></th>
+  <th class="maximal"><?php echo __('Description'); ?></th>
+</tr>
+<?php
+$prefs = array();
 
-<?php 
-$table_header = '<table class="prefs" id="%s"><caption>%s</caption>'.
-'<thead>'.
-'<tr>'."\n".
-'  <th class="nowrap">Setting ID</th>'."\n".
-'  <th>'.__('Value').'</th>'."\n".
-'  <th>'.__('Type').'</th>'."\n".
-'  <th class="maximalx">'.__('Description').'</th>'."\n".
-'</tr>'."\n".
-'</thead>'."\n".
-'<tbody>';
-$table_footer = '</tbody></table>';
-
-$prefs = array();
 foreach ($core->auth->user_prefs->dumpWorkspaces() as $ws => $workspace) {
 	foreach ($workspace->dumpPrefs() as $k => $v) {
@@ -147,35 +117,19 @@
 	}
 }
+
 ksort($prefs);
-if (count($prefs) > 0) {
-	$ws_combo = array();
-	foreach ($prefs as $ws => $s) {
-		$ws_combo[$ws] = '#l_'.$ws;
-	}
-	echo 
-		'<form action="plugin.php" method="post">'.
-		'<p class="anchor-nav">'.
-		'<label for="lp_nav" class="classic">'.__('Goto:').'</label> '.form::combo('lp_nav',$ws_combo).
-		' <input type="submit" value="'.__('Ok').'" id="lp_submit" />'.
-		'<input type="hidden" name="p" value="aboutConfig" />'.
-		$core->formNonce().'</p></form>';
-}
-?>
 
-<form action="plugin.php" method="post">
-
-<?php
 foreach ($prefs as $ws => $s)
 {
 	ksort($s);
-	echo sprintf($table_header,'l_'.$ws,$ws);
+	echo '<tr><td colspan="4" class="ws-name">workspace: <strong>'.$ws.'</strong></td></tr>';
+	
 	foreach ($s as $k => $v)
 	{
 		echo prefLine($k,$v,$ws,'s',!$v['global']);
 	}
-	echo $table_footer;
 }
 ?>
-
+</table>
 <p><input type="submit" value="<?php echo __('Save'); ?>" />
 <input type="hidden" name="p" value="userPref" />
@@ -185,5 +139,12 @@
 
 <div id="global" class="multi-part" title="<?php echo __('global preferences'); ?>">
-
+<form action="plugin.php" method="post">
+<table>
+<tr>
+  <th class="nowrap">Pref ID</th>
+  <th><?php echo __('Value'); ?></th>
+  <th><?php echo __('Type'); ?></th>
+  <th class="maximal"><?php echo __('Description'); ?></th>
+</tr>
 <?php
 $prefs = array();
@@ -197,34 +158,16 @@
 ksort($prefs);
 
-if (count($prefs) > 0) {
-	$ws_combo = array();
-	foreach ($prefs as $ws => $s) {
-		$ws_combo[$ws] = '#g_'.$ws;
-	}
-	echo 
-		'<form action="plugin.php" method="post">'.
-		'<p class="anchor-nav">'.
-		'<label for="gp_nav" class="classic">'.__('Goto:').'</label> '.form::combo('gp_nav',$ws_combo).
-		' <input type="submit" value="'.__('Ok').'" id="gp_submit" />'.
-		'<input type="hidden" name="p" value="aboutConfig" />'.
-		$core->formNonce().'</p></form>';
-}
-?>
-
-<form action="plugin.php" method="post">
-
-<?php
 foreach ($prefs as $ws => $s)
 {
 	ksort($s);
-	echo sprintf($table_header,'g_'.$ws,$ws);
+	echo '<tr><td colspan="4" class="ws-name">workspace: <strong>'.$ws.'</strong></td></tr>';
+	
 	foreach ($s as $k => $v)
 	{
 		echo prefLine($k,$v,$ws,'gs',false);
 	}
-	echo $table_footer;
 }
 ?>
-
+</table>
 <p><input type="submit" value="<?php echo __('Save'); ?>" />
 <input type="hidden" name="p" value="userPref" />
Index: plugins/widgets/_admin.php
===================================================================
--- plugins/widgets/_admin.php	(revision 324)
+++ plugins/widgets/_admin.php	(revision 270)
@@ -16,5 +16,5 @@
 function widgets_dashboard_favs($core,$favs)
 {
-	$favs['widgets'] = new ArrayObject(array('widgets','Presentation widgets','plugin.php?p=widgets',
+	$favs['widgets'] = new ArrayObject(array('widgets',__('Presentation widgets'),'plugin.php?p=widgets',
 		'index.php?pf=widgets/icon.png','index.php?pf=widgets/icon-big.png',
 		'admin',null,null));
Index: plugins/widgets/_default_widgets.php
===================================================================
--- plugins/widgets/_default_widgets.php	(revision 665)
+++ plugins/widgets/_default_widgets.php	(revision 270)
@@ -79,5 +79,5 @@
 # Default widgets
 global $__default_widgets;
-$__default_widgets = array('nav'=> new dcWidgets(), 'extra'=> new dcWidgets(), 'custom'=> new dcWidgets());
+$__default_widgets = array('nav'=> new dcWidgets(), 'extra'=> new dcWidgets());
 
 $__default_widgets['nav']->append($__widgets->search);
Index: plugins/widgets/_define.php
===================================================================
--- plugins/widgets/_define.php	(revision 665)
+++ plugins/widgets/_define.php	(revision 270)
@@ -15,10 +15,8 @@
 	/* Name */			"Widgets",
 	/* Description*/		"Widgets for your blog sidebars",
-	/* Author */			"Olivier Meunier & Dotclear Team",
-	/* Version */			'3',
-	array(
-		'permissions' =>	'admin',
-		'priority' =>		1000000000
-	)
+	/* Author */			"Olivier Meunier",
+	/* Version */			'2',
+	/* Permissions */		'admin',
+	/* Priority */			1000000000
 );
 ?>
Index: plugins/widgets/_install.php
===================================================================
--- plugins/widgets/_install.php	(revision 665)
+++ plugins/widgets/_install.php	(revision 270)
@@ -31,9 +31,4 @@
 	$settings->widgets->put('widgets_extra','','string','Extra widgets',false);
 }
-if ($settings->widgets->widgets_custom != null) {
-	$settings->widgets->put('widgets_custom',dcWidgets::load($settings->widgets->widgets_custom)->store());
-} else {
-	$settings->widgets->put('widgets_custom','','string','Custom widgets',false);
-}
 $core->setVersion('widgets',$version);
 return true;
Index: plugins/widgets/_public.php
===================================================================
--- plugins/widgets/_public.php	(revision 671)
+++ plugins/widgets/_public.php	(revision 270)
@@ -36,5 +36,4 @@
 	{
 		$wtype = 'widgets_'.$type;
-		$GLOBALS['core']->blog->settings->addNameSpace('widgets');
 		$widgets = $GLOBALS['core']->blog->settings->widgets->{$wtype};
 		
Index: plugins/widgets/_widgets_functions.php
===================================================================
--- plugins/widgets/_widgets_functions.php	(revision 475)
+++ plugins/widgets/_widgets_functions.php	(revision 270)
@@ -94,5 +94,5 @@
 			$rs->cat_url.'">'.
 			html::escapeHTML($rs->cat_title).'</a>'.
-			($w->postcount ? ' <span>('.$rs->nb_post.')</span>' : '');
+			($w->postcount ? ' ('.$rs->nb_post.')' : '');
 			
 			
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 683)
+++ plugins/widgets/index.php	(revision 270)
@@ -14,5 +14,5 @@
 include dirname(__FILE__).'/_default_widgets.php';
 
-# Loading navigation, extra widgets and custom widgets
+# Loading navigation and extra widgets
 $widgets_nav = null;
 if ($core->blog->settings->widgets->widgets_nav) {
@@ -23,14 +23,9 @@
 	$widgets_extra = dcWidgets::load($core->blog->settings->widgets->widgets_extra);
 }
-$widgets_custom = null;
-if ($core->blog->settings->widgets->widgets_custom) {
-	$widgets_custom = dcWidgets::load($core->blog->settings->widgets->widgets_custom);
-}
 
 $append_combo = array(
 	'-' => 0,
 	__('navigation') => 'nav',
-	__('extra') => 'extra',
-	__('custom') => 'custom'
+	__('extra') => 'extra'
 );
 
@@ -41,5 +36,5 @@
 	$addw = array();
 	foreach ($_POST['addw'] as $k => $v) {
-		if (($v == 'extra' || $v == 'nav' || $v == 'custom') && $__widgets->{$k} !== null ) {
+		if (($v == 'extra' || $v == 'nav') && $__widgets->{$k} !== null ) {
 			$addw[$k] = $v;
 		}
@@ -54,7 +49,4 @@
 		if (!($widgets_extra instanceof dcWidgets)) {
 			$widgets_extra = new dcWidgets();
-		}
-		if (!($widgets_custom instanceof dcWidgets)) {
-			$widgets_custom = new dcWidgets();
 		}
 		
@@ -68,7 +60,5 @@
 					$widgets_extra->append($__widgets->{$k});
 					break;
-				case 'custom':
-					$widgets_custom->append($__widgets->{$k});
-					break;
+				
 			}
 		}
@@ -78,5 +68,4 @@
 			$core->blog->settings->widgets->put('widgets_nav',$widgets_nav->store());
 			$core->blog->settings->widgets->put('widgets_extra',$widgets_extra->store());
-			$core->blog->settings->widgets->put('widgets_custom',$widgets_custom->store());
 			$core->blog->triggerBlog();
 			http::redirect($p_url);
@@ -112,16 +101,11 @@
 			$_POST['w']['extra'] = array();
 		}
-		if (!isset($_POST['w']['custom'])) {
-			$_POST['w']['custom'] = array();
-		}
 		
 		$widgets_nav = dcWidgets::loadArray($_POST['w']['nav'],$__widgets);
 		$widgets_extra = dcWidgets::loadArray($_POST['w']['extra'],$__widgets);
-		$widgets_custom = dcWidgets::loadArray($_POST['w']['custom'],$__widgets);
 		
 		$core->blog->settings->addNamespace('widgets');
 		$core->blog->settings->widgets->put('widgets_nav',$widgets_nav->store());
 		$core->blog->settings->widgets->put('widgets_extra',$widgets_extra->store());
-		$core->blog->settings->widgets->put('widgets_custom',$widgets_custom->store());
 		$core->blog->triggerBlog();
 		
@@ -140,5 +124,4 @@
 		$core->blog->settings->widgets->put('widgets_nav','');
 		$core->blog->settings->widgets->put('widgets_extra','');
-		$core->blog->settings->widgets->put('widgets_custom','');
 		$core->blog->triggerBlog();
 		
@@ -180,5 +163,5 @@
 <body>
 <?php
-echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.__('Widgets').'</span></h2>';
+echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.__('Widgets').'</h2>';
 
 # All widgets
@@ -204,5 +187,5 @@
 '</div>'.
 '</fieldset>'.
-'<p><input type="submit" class="js-remove" name="append" value="'.__('Add widgets to sidebars').'" />'.
+'<p><input type="submit" class="js-remove" name="append" value="'.__('add widgets to sidebars').'" />'.
 $core->formNonce().'</p>'.
 '</form>';
@@ -221,15 +204,9 @@
 '</div>';
 
-# Custom sidebar
-echo
-'<div id="sidebarCustom" class="widgets">'.
-sidebarWidgets('dndcustom',__('Custom sidebar'),$widgets_custom,'custom',$__default_widgets['custom'],$j).
-'</div>';
-
 echo
 '<p id="sidebarsControl">'.
 $core->formNonce().
-'<input type="submit" name="wup" value="'.__('Update sidebars').'" /> '.
-'<input type="submit" class="reset" name="wreset" value="'.__('Reset sidebars').'" /></p>'.
+'<input type="submit" name="wup" value="'.__('update sidebars').'" /> '.
+'<input type="submit" class="reset" name="wreset" value="'.__('reset sidebars').'" /></p>'.
 '</form>';
 
Index: plugins/widgets/widgets.js
===================================================================
--- plugins/widgets/widgets.js	(revision 665)
+++ plugins/widgets/widgets.js	(revision 0)
@@ -10,9 +10,7 @@
 	var w_nav = document.getElementById('dndnav');
 	var w_ext = document.getElementById('dndextra');
-	var w_custom = document.getElementById('dndcustom');
 	
 	w_nav.className = 'hideControls';
 	w_ext.className = 'hideControls';
-	w_custom.className = 'hideControls';
 	
 	removeElements(document.getElementById('listWidgets'),'input');
@@ -20,12 +18,9 @@
 	removeElements(w_nav,'p');
 	removeElements(w_ext,'p');
-	removeElements(w_custom,'p');
 	hideElements(w_nav,'input');
 	hideElements(w_ext,'input');
-	hideElements(w_custom,'input');
 	
 	configControls(w_nav);
 	configControls(w_ext);
-	configControls(w_custom);
 	
 	dragdrop.makeListContainer(widgets,'div',setHandle);
@@ -35,6 +30,4 @@
 	dragdrop.makeListContainer(w_ext,'div',setHandle);
 	w_ext.onDragEnd = extraDragEnd;
-	dragdrop.makeListContainer(w_custom,'div',setHandle);
-	w_custom.onDragEnd = customDragEnd;
 	
 	// Helper to remove some elements
@@ -68,9 +61,4 @@
 	function extraDragEnd() {
 		formControls(this.parentNode,'extra');
-		configControls(this.parentNode);
-		removeEmptyMsg(this.parentNode);
-	}
-	function customDragEnd() {
-		formControls(this.parentNode,'custom');
 		configControls(this.parentNode);
 		removeEmptyMsg(this.parentNode);
